Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Formatter::File::Session

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Formatter::File::Session

- NAME
- VERSION
- DESCRIPTION
- METHODS
  - result
  - close_test

# NAME

TAP::Formatter::File::Session - Harness output delegate for file output

# VERSION

Version 3.23

# DESCRIPTION

This provides file orientated output formatting for TAP::Harness. It is particularly important when running with parallel tests, as it ensures that test results are not interleaved, even when run verbosely.

# METHODS

## result

Stores results for later output, all together.

## close_test

When the test file finishes, outputs the summary, together.

Page index

- NAME
- VERSION
- DESCRIPTION
- METHODS
  - result
  - close_test